import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { TerminalVersionUpgrade } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-02 11:01
 */
interface TerminalVersionUpgradeCU extends ConditionUtil<TerminalVersionUpgradeCU> {
    ID: FieldUtil<TerminalVersionUpgradeCU>;
    TERMINAL_TYPE: FieldUtil<TerminalVersionUpgradeCU>;
    VERSION_CODE: FieldUtil<TerminalVersionUpgradeCU>;
    FORCE_UPDATE: FieldUtil<TerminalVersionUpgradeCU>;
    VERSION_DESC: FieldUtil<TerminalVersionUpgradeCU>;
    REMARK: FieldUtil<TerminalVersionUpgradeCU>;
    CREATE_TIME: FieldUtil<TerminalVersionUpgradeCU>;
    UPDATE_TIME: FieldUtil<TerminalVersionUpgradeCU>;
    STATE: FieldUtil<TerminalVersionUpgradeCU>;
    UPDATE_URL: FieldUtil<TerminalVersionUpgradeCU>;
}
declare class TerminalVersionUpgradeMU extends TableUtilImpl<TerminalVersionUpgradeCU, TerminalVersionUpgrade> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): TerminalVersionUpgradeCU;
    static get ID(): FieldUtil<TerminalVersionUpgradeCU>;
    static get TERMINAL_TYPE(): FieldUtil<TerminalVersionUpgradeCU>;
    static get VERSION_CODE(): FieldUtil<TerminalVersionUpgradeCU>;
    static get FORCE_UPDATE(): FieldUtil<TerminalVersionUpgradeCU>;
    static get VERSION_DESC(): FieldUtil<TerminalVersionUpgradeCU>;
    static get REMARK(): FieldUtil<TerminalVersionUpgradeCU>;
    static get CREATE_TIME(): FieldUtil<TerminalVersionUpgradeCU>;
    static get UPDATE_TIME(): FieldUtil<TerminalVersionUpgradeCU>;
    static get STATE(): FieldUtil<TerminalVersionUpgradeCU>;
    static get UPDATE_URL(): FieldUtil<TerminalVersionUpgradeCU>;
    get ID(): FieldUtil<TerminalVersionUpgradeCU>;
    get TERMINAL_TYPE(): FieldUtil<TerminalVersionUpgradeCU>;
    get VERSION_CODE(): FieldUtil<TerminalVersionUpgradeCU>;
    get FORCE_UPDATE(): FieldUtil<TerminalVersionUpgradeCU>;
    get VERSION_DESC(): FieldUtil<TerminalVersionUpgradeCU>;
    get REMARK(): FieldUtil<TerminalVersionUpgradeCU>;
    get CREATE_TIME(): FieldUtil<TerminalVersionUpgradeCU>;
    get UPDATE_TIME(): FieldUtil<TerminalVersionUpgradeCU>;
    get STATE(): FieldUtil<TerminalVersionUpgradeCU>;
    get UPDATE_URL(): FieldUtil<TerminalVersionUpgradeCU>;
}
export { TerminalVersionUpgradeMU, TerminalVersionUpgradeCU };
